org.apache.fop.render

## Interface RendererEventProducer

All Superinterfaces:
  EventProducer

    public interface RendererEventProducer
    extends EventProducer

Event producer interface for rendering-specific events.

### Nested Class Summary

Nested Classes
`static class` `RendererEventProducer.Provider` Provider class for the event producer.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `endPage(Object source, int number)` Triggered at the end of page rendering.
`void` `ioError(Object source, IOException ioe)` I/O error while writing target file.

### Method Detail

#### ioError

    void ioError(Object source,
                 IOException ioe)

I/O error while writing target file.

Parameters:
  `source` - the event source
  `ioe` - the original I/O error
Event.severity:
  ERROR

#### endPage

    void endPage(Object source,
                 int number)

Triggered at the end of page rendering.

Parameters:
  `source` - the event source
  `number` - the page number